> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/project-manager/tasks/list-subtasks/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # PM · Tasks · List direct child tasks (subtasks) of a task GET https://api.simplified.com/api/v1/pm/tasks/{task_id}/subtasks Return all direct children (subtasks) of a task. Subtasks are tasks whose `parent` field points to this task. They follow the same schema as regular tasks. Use `getTask?expand=subtasks` for an inline alternative. Reference: https://docs.simplified.com/api-reference/project-manager/tasks/list-subtasks ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `task_id` (string, required) ### Headers - `Organization` (string, optional) — Workspace (organization) ID the request is scoped to. - `Space` (string, optional) — Optional sub-space ID for further scoping inside the workspace. ## Response ### 200 Subtasks of the task. - `any` ## Examples **SDK Code** ```python import requests url = "https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks" headers = {"Authorization": "Api-Key "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks'; const options = {method: 'GET', headers: {Authorization: 'Api-Key '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Api-Key ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Api-Key ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks") .header("Authorization", "Api-Key ") .asString(); ``` ```php request('GET', 'https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks', [ 'headers' => [ 'Authorization' => 'Api-Key ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Api-Key "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Api-Key "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/pm/tasks/task_id/subtasks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```